#
# spec file for package evtest
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           evtest
Version:        1.35
Release:        1.3
Summary:        Input device event monitor and query tool
License:        GPL-2.0-or-later
Group:          Hardware/Other
URL:            https://gitlab.freedesktop.org/libevdev/evtest/
Source:         https://gitlab.freedesktop.org/libevdev/%{name}/-/archive/%{name}-%{version}/%{name}-%{name}-%{version}.tar.gz
BuildRequires:  asciidoc
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libxslt-tools
BuildRequires:  xmlto

# splitted in 13.2
Provides:       input-utils:/usr/bin/evtest = 2007.06.22
Obsoletes:      input-utils <= 2007.06.22

%description
evtest displays information on the input device specified on the command line,
including all the events supported by the device. It then monitors the device
and displays all the events layer events generated.

%prep
%autosetup -p1 -n %{name}-%{name}-%{version}

%build
autoreconf --install
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%license COPYING
%{_bindir}/evtest
%doc %{_mandir}/man1/evtest*

%changelog
* Mon Jan 15 2024 Andrea Manzini <andrea.manzini@suse.com>
- Update to version 1.35
  * Add BTN_STYLUS3 to key names
  * reformat README as Markdown
  * internal build / compilation improvements
- removed patches as already included in upstream:
  * 0001-Add-missing-limits.h-include.patch
  * 0002-Fix-build-on-32bit-arches-with-64bit-time_t.patch
* Fri Oct  9 2020 Michal Suchanek <msuchanek@suse.com>
- Fix project and download URL.
* Fri Oct  9 2020 Petr Vorel <pvorel@suse.cz>
- Update to version 1.34
  (mostly updates to keepup with kernel API changes and build fixes)
- Add 2 patches fixing build
  * 0001-Add-missing-limits.h-include.patch
  * 0002-Fix-build-on-32bit-arches-with-64bit-time_t.patch
- Upstream archive renamed, follow it
- Use %%autosetup
- Use %%license
* Sun Aug 16 2015 p.drouand@gmail.com
- Update to version 1.33
  * No ChangeLog available
* Mon Jan 12 2015 p.drouand@gmail.com
- Update to version 1.32
  + No changelog available
* Thu Aug  7 2014 adam@mizerski.pl
- improved Provides/Obsolotes tags
* Tue Feb 25 2014 adam@mizerski.pl
- removed url from the source tag
  * Every time source package is downloaded, there is different timestamp in the
    gzip header. This makes the factory-auto decline SR, because of "Source URLs
    are not valid".
* Tue Feb 18 2014 adam@mizerski.pl
- just updated the comment in spec file about when the spit took place
* Wed Sep 11 2013 adam@mizerski.pl
- update to 1.31
  - add missing symbols: ABS_MT_TOOL_X|Y, ABS_MT_DISTANCE, MSC_TIMESTAMP
  - use newer config headers macro
  - ignore generated files
  - add a configure flag to control xml behavior
  - Drop evtest-capture
  - Drop evtest-capture references in autotools
  - Print EV_REP properties and values of those properties
  - Use versionsort instead of alphasort
* Mon Jun  3 2013 adam@mizerski.pl
- new package (version 1.30)
